List credit cards
curl --request GET \
--url https://app.churningtracker.com/api/v1/credit-cards \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.churningtracker.com/api/v1/credit-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.churningtracker.com/api/v1/credit-cards"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5a1e9c2b-7d3f-4b8a-9e6c-0f1d2a3b4c5d",
"name": "Sapphire Preferred",
"issuer": "Chase",
"nickname": "Daily driver",
"lastDigits": "1234",
"accountOwner": "Jordan",
"annualFee": 9500,
"earnRate": 2,
"openedAt": "2025-03-14",
"closedAt": null,
"subCards": [
{
"id": "8b2f0d3c-6e4a-4f1b-a7c9-1d2e3f4a5b6c",
"cardType": "authorized_user",
"nickname": "P2",
"lastDigits": "9876"
}
]
}
],
"pagination": {
"limit": 25,
"offset": 0,
"totalCount": 1
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}Credit cards
List credit cards
GET
/
credit-cards
List credit cards
curl --request GET \
--url https://app.churningtracker.com/api/v1/credit-cards \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.churningtracker.com/api/v1/credit-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.churningtracker.com/api/v1/credit-cards"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5a1e9c2b-7d3f-4b8a-9e6c-0f1d2a3b4c5d",
"name": "Sapphire Preferred",
"issuer": "Chase",
"nickname": "Daily driver",
"lastDigits": "1234",
"accountOwner": "Jordan",
"annualFee": 9500,
"earnRate": 2,
"openedAt": "2025-03-14",
"closedAt": null,
"subCards": [
{
"id": "8b2f0d3c-6e4a-4f1b-a7c9-1d2e3f4a5b6c",
"cardType": "authorized_user",
"nickname": "P2",
"lastDigits": "9876"
}
]
}
],
"pagination": {
"limit": 25,
"offset": 0,
"totalCount": 1
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}Authorizations
Your API key, starting with ct_key_.
Your API secret, starting with ct_secret_.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0